/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>expression start</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getR <em>R</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE1 <em>E1</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE2 <em>E2</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_start()
 * @model
 * @generated
 */
public interface expression_start extends EObject
{
  /**
   * Returns the value of the '<em><b>R</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>R</em>' containment reference.
   * @see #setR(real_expression)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_start_R()
   * @model containment="true"
   * @generated
   */
  real_expression getR();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getR <em>R</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>R</em>' containment reference.
   * @see #getR()
   * @generated
   */
  void setR(real_expression value);

  /**
   * Returns the value of the '<em><b>E1</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>E1</em>' containment reference.
   * @see #setE1(real_expression)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_start_E1()
   * @model containment="true"
   * @generated
   */
  real_expression getE1();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE1 <em>E1</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>E1</em>' containment reference.
   * @see #getE1()
   * @generated
   */
  void setE1(real_expression value);

  /**
   * Returns the value of the '<em><b>E2</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>E2</em>' containment reference.
   * @see #setE2(real_expression)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_start_E2()
   * @model containment="true"
   * @generated
   */
  real_expression getE2();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE2 <em>E2</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>E2</em>' containment reference.
   * @see #getE2()
   * @generated
   */
  void setE2(real_expression value);

} // expression_start
